org.apache.poi.hssf.record.cf

## Class DataBarThreshold

- java.lang.Object
- - org.apache.poi.hssf.record.cf.Threshold
  - - org.apache.poi.hssf.record.cf.DataBarThreshold

- All Implemented Interfaces:
    Duplicatable

      public final class DataBarThreshold
      extends Threshold
      implements Duplicatable

  Data Bar specific Threshold / value (CFVO), for changes in Conditional Formatting

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DataBarThreshold()`
    `DataBarThreshold(DataBarThreshold other)`
    `DataBarThreshold(LittleEndianInput in)` Creates new Data Bar Threshold

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `DataBarThreshold` | `clone()` Deprecated.
    `DataBarThreshold` | `copy()`

    - ### Methods inherited from class org.apache.poi.hssf.record.cf.Threshold

      `getDataLength, getFormula, getParsedExpression, getType, getValue, serialize, setParsedExpression, setType, setType, setValue, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DataBarThreshold

          public DataBarThreshold()

    - #### DataBarThreshold

          public DataBarThreshold(DataBarThreshold other)

    - #### DataBarThreshold

          public DataBarThreshold(LittleEndianInput in)

      Creates new Data Bar Threshold

  - ### Method Detail

    - #### clone

          @Deprecated
           @Removal(version="5.0.0")
          public DataBarThreshold clone()

      Deprecated.
      Overrides:
        `clone` in class `java.lang.Object`

    - #### copy

          public DataBarThreshold copy()

      Specified by:
        `copy` in interface `Duplicatable`
      Specified by:
        `copy` in class `Threshold`
      Returns:
        a deep copy of the implementing class / instance

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.